Bug 319730 - local contrast crashes digikam when used for second time
Summary: local contrast crashes digikam when used for second time
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Plugin-Editor-LocalContrast (show other bugs)
Version: 3.1.0
Platform: Ubuntu Packages Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-12 17:40 UTC by Matthias Adrian Mendler
Modified: 2016-06-30 11:49 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.12.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Adrian Mendler 2013-05-12 17:40:03 UTC
The local contrast filter works fine - for the first time. When I use it on a second picture, it crashes digikam. 

I can start the local contrast filter and apply it. I can also change the settings, preview, apply it. As soon as I open it again, as soon as the filter starts working - doesn't matter wheter applying it or previewing it - it crashes digikam. It doesn't matter wheter I use it on the same file or another one, it doesn't matter whether I close the image editor in between or not. 

This happens with the 18 MP pictures from my camera. I have no problem with smaller pictures (just tried it with a 1280x1024 picture). But also with smaller pictures: After opening the local contrast filter for the second time, it slows down.
Now that I tried to reproduce it a few times I also realised, that it works sometimes. Can't really tell yet when a crash occurs and when not.

Reproducible: Sometimes

Steps to Reproduce:
1. Open an image in image editor
2. Start local contrast filter
3. Apply it (and close local contrast filter)
4. Open local contrast filter agian
5. Apply it again
Actual Results:  
Digikam crashes

Expected Results:  
local contrast filter is applied
Comment 1 caulier.gilles 2013-05-12 17:59:15 UTC
Run digiKam under GDB to take a backtrace...

http://www.digikam.org/contrib

Note : i use LC tool everyday with 24Mpx images without problem...

Gilles Caulier
Comment 2 caulier.gilles 2015-06-25 12:56:23 UTC
Maik Qualmann <metzpinguin@gmail.com> changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
   Version Fixed In|                            |4.12.0
         Resolution|---                         |FIXED
      Latest Commit|                            |http://commits.kde.org/digi
                   |                            |kam/a8b7a0713609fc752bbd718
                   |                            |30f72ae01bd8dbb67
             Status|CONFIRMED                   |RESOLVED

--- Comment #12 from Maik Qualmann <metzpinguin@gmail.com> ---
Git commit a8b7a0713609fc752bbd71830f72ae01bd8dbb67 by Maik Qualmann.
Committed on 22/06/2015 at 17:23.
Pushed by mqualmann into branch 'master'.

corrects the values for width and height of the preview image from the image
data interface
Related: bug 269682, bug 317689, bug 340389
FIXED-IN: 4.12.0

M  +5    -1    NEWS
M  +2    -1    utilities/imageeditor/plugin/imageiface.cpp

http://commits.kde.org/digikam/a8b7a0713609fc752bbd71830f72ae01bd8dbb67